summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/doinitd
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ebuild-helpers/doinitd')
-rwxr-xr-xbin/ebuild-helpers/doinitd14
1 files changed, 14 insertions, 0 deletions
diff --git a/bin/ebuild-helpers/doinitd b/bin/ebuild-helpers/doinitd
new file mode 100755
index 000000000..0f1af9406
--- /dev/null
+++ b/bin/ebuild-helpers/doinitd
@@ -0,0 +1,14 @@
+#!/bin/bash
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+if [[ $# -lt 1 ]] ; then
+ echo "$0: at least one argument needed" 1>&2
+ exit 1
+fi
+
+exec \
+env \
+_E_EXEDESTTREE_="/etc/init.d/" \
+doexe "$@"